﻿var country;

const onEndGeoCode = function(event){
	var map = event.ThisMap;
	var point = event.GeoPoint;
	
	continueProcessing(map, point);
};

const getPoint = function(map){
	if(country.latitude && country.longitude){
		var point = new YGeoPoint(country.latitude, country.longitude);
		continueProcessing(map, point);
	} else {
		YEvent.Capture(map, EventsList.onEndGeoCode, onEndGeoCode);
		map.geoCodeAddress(country.name);
	}
};

const continueProcessing = function(map, point){
	changeMapSettings(map, point);
	var zoom = country.city != '' ? 11 : 15;
	map.setZoomRange(zoom,zoom);
	map.drawZoomAndCenter(point, zoom);
	
	var map = new YMap(document.getElementById('worldMapContainer'), YAHOO_MAP_SAT, new YSize(200, 100));
	changeMapSettings(map, point);
	map.setZoomRange(18,18);
	map.drawZoomAndCenter(point, 18);
};

const changeMapSettings = function(map, point){
	map.disableDragMap();
	map.removeZoomScale();
	map.disablePanOnDoubleClick();
	map.disableKeyControls();
	
	var markerImage = new YImage(
		'chrome://countrylookup/skin/pointer.png',
		new YSize(15,15),
		null,
		new YCoordPoint(-7.5,7.5)
	);
	
	var marker = new YMarker(point, markerImage);
	
	map.addOverlay(marker);
};

const init = function(){
	country = parent.country;
	
	var map = new YMap(document.getElementById('mapContainer'), YAHOO_MAP_REG, new YSize(400, 400));
	
	getPoint(map);
};

addEventListener('load', init, true);